//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) 2002 European Southern Observatory
// LICENSE
//
// PROJECT:   VLT Data Flow System
// AUTHOR:    Y. Jung - ESO/DMD/DFS
// SUBSYSTEM: Quality Control
// PURPOSE:   Definition of reduction rules for UT4/NACO
//
//--------------------------------------------------------------------------

instrument: "NACO" ;
name:       "$Id: naco.dpr,v 1.1 2007-08-08 14:12:12 llundin Exp $";
version:    "$Revision: 1.1 $" ;


// Reduction rules for signal_endOfTemplate
// ========================================

// Jitter Observations in imaging mode
naco_img_jitter(REF_IMAGE) {
	if (ref_flat=gen_query(REF_IMAGE, DO_CATG=MASTER_IMG_FLAT,
        MIN_RET=0, MAX_RET=1))
        execute naco_img_jitter(REF_IMAGE, ref_flat);
}

// Dark calibration in imaging mode
naco_img_dark(REF_IMAGE) {
	execute naco_img_dark(REF_IMAGE);
}

// Detlin calibration in imaging mode
naco_img_detlin(REF_IMAGE) {
	execute naco_img_detlin(REF_IMAGE);
}

// Zero point calibration in imaging mode
naco_img_zpoint(REF_IMAGE) {
	execute naco_img_zpoint(REF_IMAGE);
}

// Twillight flat calibration in imaging mode
naco_img_twflat(REF_IMAGE) {
	execute naco_img_twflat(REF_IMAGE);
}

// Slit position calibration in imaging mode
naco_img_slitpos(REF_IMAGE) {
	execute naco_img_slitpos(REF_IMAGE);
}

// Lamp flat calibration in imaging mode
naco_img_lampflat(REF_IMAGE) {
	execute naco_img_lampflat(REF_IMAGE);
}

// Quality control strehl computation in imaging mode
naco_img_strehl(REF_IMAGE) {
	execute naco_img_strehl(REF_IMAGE);
}

// Quality control on focus in imaging mode
naco_img_checkfocus(REF_IMAGE) {
	execute naco_img_checkfocus(REF_IMAGE);
}



